./SIAC-WALLET-INIT(1)

NAME

./siac-wallet-init - Initialize and encrypt a new wallet

SYNOPSIS

./siac wallet init

DESCRIPTION

Generate a new wallet from a randomly generated seed, and encrypt it. By default the wallet encryption / unlock password is the same as the generated seed.

OPTIONS

--force[=false]
    destroy the existing wallet and re-encrypt

-p, --password[=false]
    Prompt for a custom password

OPTIONS INHERITED FROM PARENT COMMANDS

-a, --addr="localhost:9980"
    which host/port to communicate with (i.e. the host/port siad is listening on)

SEE ALSO

./siac-wallet(1)

HISTORY

29-Apr-2017 Auto generated by spf13/cobra